# gbp-create-remote-repo

## Name

gbp-create-remote-repo -- Create remote repositories

## Synopsis

gbp create-remote-repo [`--verbose`] [`--color=``[auto|on|off]`] [`--remote-url-pattern=``url-pattern`] [`--remote-name=``name`] [`--template-dir=``directory`] [`--remote-config=``config`] [`--[no-]pristine-tar`] [`--debian-branch=``branch_name`] [`--upstream-branch=``branch_name`] [`--[no-]track`]

## DESCRIPTION

gbp create-remote-repo creates a repository at a remote location via ssh and pushes the local repository into it. It then sets up remote branch tracking so you can use gbp pull to update your repository from there.

Before performing any action on the remote location it will print the remote URL and ask for confirmation.

Note: By default the remote repositories are created in the collab-maint repository on git.debian.org.

## OPTIONS

`--remote-url-pattern`=`pattern` | Where to create the remote repository. The part `%(pkg)s` will be replaced by the package name.
`--remote-name`=`name` | What name git will use when refering to that repository, e.g. 'origin'.
`--template-dir`=`directory` | Template directory to pass to git init on the remote side. This can be used to customize the remote repository, e.g. to set up hooks.
`--remote-config`=`config` | Name of a config file section in `gbp.conf` that specifies the above paramters. See gbp.conf(5) manpage for details.
`--debian-branch`=`branch_name` | The branch in the Git repository the Debian package is being developed on, default is `master`.
`--upstream-branch`=`branch_name` | The branch in the Git repository the upstream sources are put onto. Default is `upstream`.
`--pristine-tar` | Whether to push the pristine tar branch.
`--verbose`, `-v` | verbose execution
`--color=``[auto|on|off]` | Whether to use colored output.
`--[no-]track` | Whether to set up branch tracking for the debian, upstream and pristine-tar branches.

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above commandline arguments. See the gbp.conf(5) manpage for details.

## SEE ALSO

gbp-buildpackage(1), gbp-pull(1), gbp.conf(5)

## AUTHOR

Guido Guenther `<agx@sigxcpu.org>`